Bug 204422 - devel/artifactory: Add NO_ARCH, Multiple LICENSE's
Summary: devel/artifactory: Add NO_ARCH, Multiple LICENSE's
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-10 08:28 UTC by David Harrigan
Modified: 2015-11-21 13:41 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
Updated Makefile (2.56 KB, patch)
2015-11-10 08:28 UTC, David Harrigan
dharrigan: maintainer-approval+
Details | Diff
Updated Makefile (2.55 KB, patch)
2015-11-10 08:43 UTC, David Harrigan
dharrigan: maintainer-approval+
Details | Diff
Updated Makefile (1.07 KB, patch)
2015-11-16 11:20 UTC, David Harrigan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Harrigan 2015-11-10 08:28:37 UTC
Created attachment 162954 [details]
Updated Makefile

Hi,

* Modified the Makefile to remove the ONLY_FOR_ARCHS keyboard and use NO_ARCH=yes
* Added in LICENSE_FILE_GPLv3, LICENSE_FILE_LGPL3 and LICENSE_FILE_APACHE20 to cover the 3 licenses included with this port.

According to the Porters Handbook, no need for a PORTREVISION bump.

Please can you review and commit.

Thank you.

-=david=-
Comment 1 David Harrigan 2015-11-10 08:30:09 UTC
That should be "keyword" not "keyboard" in the first bullet point.

-=david=-
Comment 2 David Harrigan 2015-11-10 08:43:57 UTC
Created attachment 162956 [details]
Updated Makefile

Remove duplicate NO_ARCH
Comment 3 Thomas Zander freebsd_committer 2015-11-14 18:10:12 UTC
(In reply to David Harrigan from comment #2)

Please don't create diffs where 90% are changes in whitespaces :-)
Can you revisit the patch to capture the functional differences only? TIA
Comment 4 David Harrigan 2015-11-16 11:20:27 UTC
Created attachment 163189 [details]
Updated Makefile

Hi,

Sorry about that! Forgot to stipulate the ignore whitespace flag when creating the diff.

-=david=-
Comment 5 commit-hook freebsd_committer 2015-11-21 13:32:57 UTC
A commit references this bug:

Author: riggs
Date: Sat Nov 21 13:32:25 UTC 2015
New revision: 402157
URL: https://svnweb.freebsd.org/changeset/ports/402157

Log:
  - Drop restriction to i386/amd64
  - Handle multiple license files
  - Bump PORTREVISION

  PR:		204422
  Submitted by:	dharrigan@gmail.com (maintainer)

Changes:
  head/devel/artifactory/Makefile
Comment 6 Thomas Zander freebsd_committer 2015-11-21 13:40:35 UTC
Committed with slight modifications to reduce commit diff.
Comment 7 David Harrigan 2015-11-21 13:41:17 UTC
Fantastic :-) Thank you.

-=david=-